<?php

namespace Blazemedia\Affiliation;

use Blazemedia\Affiliation\Providers;

class Affiliation
{
    public function __construct()
    {
    }

    public function boot(): void
    {
        $this->registerProviders();
    }

    protected function registerProviders(): void
    {
        foreach ($this->providers() as $providerClass) {
            
            $provider = new $providerClass();            
        }
    }

    protected function providers(): array
    {
        return [
            Providers\CommonServiceProvider::class,
            Providers\AdminServiceProvider::class,
            Providers\SyncProcessingServiceProvider::class,
            Providers\FrontendServiceProvider::class,
            Providers\RenderHookServiceProvider::class,
            Providers\CronServiceProvider::class,
        ];
    }

}
